| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiPython.Bindings.iToolSvc Class Reference
Inheritance diagram for GaudiPython.Bindings.iToolSvc:
[legend]
Collaboration diagram for GaudiPython.Bindings.iToolSvc:
[legend]

## Public Member Functions
def | __init__ (self, name, its)
def | retrieve (self, name)
def | create (self, typ, name=None, parent=None, interface=None)
def | release (self, itool)
Public Member Functions inherited from GaudiPython.Bindings.iService
def | retrieveInterface (self)
def | initialize (self)
def | start (self)
def | stop (self)
def | finalize (self)
def | reinitialize (self)
def | restart (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | getInterface (self)
def | __call_interface_method__ (self, ifname, method, *args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Public Attributes
| OutputLevel

## Private Member Functions
def | _retrieve (self, name, quiet=True)

## Detailed Description

Definition at line 798 of file Bindings.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiPython.Bindings.iToolSvc.__init__ | ( |  | self,
|  |  | name,
|  |  | its
| ) |  |

Reimplemented from GaudiPython.Bindings.iService.

Definition at line 799 of file Bindings.py.

799 def __init__(self, name, its):
800 self.__dict__['_its'] = InterfaceCast(gbl.IToolSvc)(its)
801 iService.__init__(self, name, its)
802

## Member Function Documentation

## ◆ _retrieve()

def GaudiPython.Bindings.iToolSvc._retrieve | ( |  | self,
|  |  | name,
|  |  | quiet = `True`
| ) |  |
| private

Definition at line 803 of file Bindings.py.

803 def _retrieve(self, name, quiet=True):
804 sol = _gaudi.OutputLevel
805 if quiet:
806 self.OutputLevel = 6
807 if name.rfind('.') == -1:
808 itool = Helper.tool(self._its, '', name, None, False)
809 elif name[0:8] == 'ToolSvc.':
810 itool = Helper.tool(self._its, '', name[8:], None, False)
811 elif name.count('.') > 1:
812 ptool = self._retrieve(name[:name.rfind('.')])
813 itool = Helper.tool(self._its, '', name[name.rfind('.') + 1:],
814 ptool, False)
815 elif _gaudi:
816 prop = _gaudi.property(name[:name.rfind('.')])
817 itool = Helper.tool(self._its, '', name[name.rfind('.') + 1:],
818 prop._ip, False)
819 if quiet:
820 self.OutputLevel = sol
821 return itool
822

## ◆ create()

def GaudiPython.Bindings.iToolSvc.create | ( |  | self,
|  |  | typ,
|  |  | name = `None`,
|  |  | parent = `None`,
|  |  | interface = `None`
| ) |  |

Definition at line 826 of file Bindings.py.

826 def create(self, typ, name=None, parent=None, interface=None):
827 if not name:
828 name = typ
829 itool = Helper.tool(self._its, typ, name, parent, True)
830 if interface:
831 return InterfaceCast(interface)(itool)
832 else:
833 return iAlgTool(name, itool)
834
GaudiPython.GaudiAlgs.iAlgTool
iAlgTool
Definition: GaudiAlgs.py:55

## ◆ release()

def GaudiPython.Bindings.iToolSvc.release | ( |  | self,
|  |  | itool
| ) |  |

Definition at line 835 of file Bindings.py.

835 def release(self, itool):
836 if type(itool) is iAlgTool:
837 self._its.releaseTool(itool._itool)
838
839
840 # ----iJopOptSvc class---------------------------------------------------------
841
842
gaudirun.type
type
Definition: gaudirun.py:142

## ◆ retrieve()

def GaudiPython.Bindings.iToolSvc.retrieve | ( |  | self,
|  |  | name
| ) |  |

Definition at line 823 of file Bindings.py.

823 def retrieve(self, name):
824 return iAlgTool(name, self._retrieve(name, quiet=False))
825
GaudiPython.GaudiAlgs.iAlgTool
iAlgTool
Definition: GaudiAlgs.py:55

## Member Data Documentation

## ◆ OutputLevel

GaudiPython.Bindings.iToolSvc.OutputLevel

Definition at line 806 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py